Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui
Interface ILaunchConfigurationDialog

All Superinterfaces:
  IRunnableContext

public interface ILaunchConfigurationDialog
extends IRunnableContext

A launch configuration dialog is used to edit and launch launch configurations. It contains a launch configuration tab group.

Clients are not intended to implement this interface.

Since:
  2.0
See Also:
  `ILaunchConfigurationTabGroup`, `ILaunchConfigurationTab`

Field Summary
`static int` | `LAUNCHED_BEFORE_OPENING` Deprecated. the launch dialog no longer supports launching without opening - this constant will never be returned by the dialog

Method Summary
`String` | `generateName(String name)` Returns a unique launch configuration name, using the given name as a seed.
`ILaunchConfigurationTab` | `getActiveTab()` Returns the currently active `ILaunchConfigurationTab` being displayed, or `null` if there is none.
`String` | `getMode()` Returns the mode in which this dialog was opened - run or debug.
`ILaunchConfigurationTab[]` | `getTabs()` Returns the tabs currently being displayed, or `null` if none.
`void` | `setActiveTab(ILaunchConfigurationTab tab)` Sets the displayed tab to the given tab.
`void` | `setActiveTab(int index)` Sets the displayed tab to the tab with the given index.
`void` | `setName(String name)` Sets the contents of the name field to the given name.
`void` | `updateButtons()` Adjusts the enable state of this dialog's buttons to reflect the state of the active tab group.
`void` | `updateMessage()` Updates the message (or error message) shown in the message line to reflect the state of the currently active tab in this launch configuration dialog.

Methods inherited from interface org.eclipse.jface.operation.IRunnableContext
`run`

Field Detail

### LAUNCHED_BEFORE_OPENING

    public static final int LAUNCHED_BEFORE_OPENING

  Deprecated. the launch dialog no longer supports launching without opening - this constant will never be returned by the dialog

  Return value from `open()` method of a launch configuration dialog when a launch completed successfully with a single click (without opening a launch configuration dialog).

  See Also:
    Constant Field Values

Method Detail

### updateButtons

    public void updateButtons()

  Adjusts the enable state of this dialog's buttons to reflect the state of the active tab group.

  This may be called by to force a button state update.

### updateMessage

    public void updateMessage()

  Updates the message (or error message) shown in the message line to reflect the state of the currently active tab in this launch configuration dialog.

  This method may be called to force a message update.

### setName

    public void setName(String name)

  Sets the contents of the name field to the given name.

  Parameters:
    `name` - new name value

### generateName

    public String generateName(String name)

  Returns a unique launch configuration name, using the given name as a seed.

  Parameters:
    `name` - seed from which to generate a new unique name

### getTabs

    public ILaunchConfigurationTab[] getTabs()

  Returns the tabs currently being displayed, or `null` if none.

  Returns:
    currently displayed tabs, or `null`

### getActiveTab

    public ILaunchConfigurationTab getActiveTab()

  Returns the currently active `ILaunchConfigurationTab` being displayed, or `null` if there is none.

  Returns:
    currently active `ILaunchConfigurationTab`, or `null`.

### getMode

    public String getMode()

  Returns the mode in which this dialog was opened - run or debug.

  Returns:
    one of `RUN_MODE` or `DEBUG_MODE` defined in `ILaunchManager`
  See Also:
    `ILaunchManager`

### setActiveTab

    public void setActiveTab(ILaunchConfigurationTab tab)

  Sets the displayed tab to the given tab. Has no effect if the specified tab is not one of the tabs being displayed in the dialog currently.

  Parameters:
    `tab` - the tab to display/activate
  Since:
    2.1

### setActiveTab

    public void setActiveTab(int index)

  Sets the displayed tab to the tab with the given index. Has no effect if the specified index is not within the limits of the tabs returned by `getTabs()`.

  Parameters:
    `index` - the index of the tab to dispay
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.